; ffpocket.nsi
;--------------------------------

!include "MUI.nsh"

; The name of the installer
Name "FFpocket"

; The file to write
OutFile "FFpocket Setup 0.8.0.exe"

; The default installation directory
InstallDir "$PROGRAMFILES\FFpocket"

; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM "Software\FFpocket" "Install_Dir"

;--------------------------------

;!define MUI_HEADERIMAGE
!define MUI_ABORTWARNING

LicenseForceSelection checkbox

; Pages

!insertmacro MUI_PAGE_LICENSE "COPYING"
!insertmacro MUI_PAGE_COMPONENTS
!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES

!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES

!insertmacro MUI_LANGUAGE "English"

;--------------------------------

; The stuff to install
Section "FFpocket" SecFFpocket

  SectionIn RO
  
  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  
  ; Put file there
  File ".\src\.libs\ffpocket.exe"
  File ".\libffpocket\.libs\libffdecode-2.dll"
  File ".\COPYING"
  File ".\AUTHORS"
  
  ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\FFpocket "Install_Dir" "$INSTDIR"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\FFpocket" "DisplayName" "FFpocket"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\FFpocket" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\FFpocket" "NoModify" 1
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\FFpocket" "NoRepair" 1
  WriteUninstaller "uninstall.exe"
  
SectionEnd

;--------------------------------

Section "Start Menu Shortcuts" SecStartMenu

  CreateDirectory "$SMPROGRAMS\FFpocket"
  CreateShortCut "$SMPROGRAMS\FFpocket\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
  
SectionEnd

;--------------------------------

LangString DESC_SecFFpocket ${LANG_ENGLISH} "Required FFpocket program files."
LangString DESC_SecStartMenu ${LANG_ENGLISH} "Add Start Menu Icons."

!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SecFFpocket} $(DESC_SecFFpocket)
  !insertmacro MUI_DESCRIPTION_TEXT ${SecStartMenu} $(DESC_SecStartMenu)
!insertmacro MUI_FUNCTION_DESCRIPTION_END

;--------------------------------

; Uninstaller

Section "Uninstall"
  
  ; Remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\FFpocket"
  DeleteRegKey HKLM SOFTWARE\FFpocket

  ; Remove files and uninstaller
  Delete $INSTDIR\uninstall.exe
  Delete $INSTDIR\ffpocket.exe
  Delete $INSTDIR\libffdecode-2.dll
  Delete $INSTDIR\COPYING
  Delete $INSTDIR\AUTHORS

  ; Remove shortcuts
  Delete "$SMPROGRAMS\FFpocket\Uninstall.lnk"

  ; Remove directories used
  RMDir "$SMPROGRAMS\FFpocket"
  RMDir "$INSTDIR"

SectionEnd
